Bug 26499 - Зависание системы на старте с инсталлированного Simply 6 DVD
: Зависание системы на старте с инсталлированного Simply 6 DVD
Status: CLOSED FIXED
: Simply Linux
(All bugs in Simply Linux/usability)
: 6.0
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-10-24 19:35 by
Modified: 2011-12-03 00:06 (History)


Attachments
Скриншот failsafe загрузки установленной системы (895.21 KB, image/png)
2011-10-24 19:35, Speccyfighter
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-10-24 19:35:29
Created an attachment (id=5170) [details]
Скриншот failsafe загрузки установленной системы

После инсталляции системы из главного загрузочного меню
ftp://ftp.altlinux.org/pub/beta/p6/simply/altlinux-6.0.1_rc2-simply-i586-ru-install-dvd5.iso
после перезагрузки зависание на старте.

Стандартная загрузка:
Decompressing Linux... Parsing ELF... done.
Booting the kernel.
_

Загрузка в безопасном режиме:
см. файл вложения. (Уж какой есть).

Сгенерированный xorg.conf принял странный вид.
Кстати сгенерирован был не
./xorg.conf.d/10-monitor.conf 
а
./X11/xorg.conf
который принял вид:

# cat  ./xorg.conf
Section "ServerLayout"
    Identifier     "Minimal layout"
    Screen         "Screen0" 0 0
EndSection

Section "Module"
    SubSection "extmod"
        Option        "omit xfree86-dga"
    EndSubSection
EndSection

Section "Monitor"
    Identifier   "Monitor0"
EndSection

Section "Device"
    Identifier  "Card0"
EndSection

Section "Screen"
    Identifier "Screen0"
    Device     "Card0"
    Monitor    "Monitor0"
    SubSection "Display"

    EndSubSection
EndSection

В отличие от:

# cat  ../xorg.conf.d/10-monitor.conf 
# Generated by xsetup

Section "Monitor"
    Identifier "Monitor0"
EndSection

Section "Device"
    Identifier "Card0"
    Driver "nvidia"
EndSection

Section "Screen"
    Identifier "Screen0"
    Device "Card0"
    Monitor "Monitor0"
    DefaultDepth 24
    SubSection "Display"
        Modes "1280x1024"
        Depth 24
    EndSubSection
EndSection

в другой системе которая устанавливалась с загруженного лайва.
Драйвер nvidia в этой системе вставлен автогенерированием самим альтератором с
автобеклистом nouveau.

Единственное что делалось с образом (это копия), так это редактирование метки
образа через hexeditor biew для того чтобы смоделировать пофиксивание бага
использования локальной пакетной базы образа в случае когда образ записан на
usb-flash.

Можно бы попробовать забэкапить xorg.conf и прописать правильный
10-monitor.conf на предмет проверки здесь ли грабли? Потому как "снапшот"
сделанный через телефон как бы посказывает.

Примечательно ещё то, что создавалось ощущение, что вывод шел на как будто на
экран с разрешением 640х1024.
------- Comment #1 From 2011-10-24 19:50:27 -------
К xorg это отношения не имеет, проблема в initrd, туда не попадает драйвер ata,
похоже. Скорее всего исправлено в 3.0.7 ядре, в следующей сборке должно будет
работать.
------- Comment #2 From 2011-10-25 18:16:16 -------
(В ответ на комментарий №1)
> К xorg это отношения не имеет, проблема в initrd, туда не попадает драйвер ata,
> похоже. Скорее всего исправлено в 3.0.7 ядре, в следующей сборке должно будет
> работать.
Приношу извинения за offtop, но прошу обратить внимание
на баг #26429.
Хотелось бы чтобы в новую сборку попал исправленный
synaptic.
------- Comment #3 From 2011-11-23 18:51:53 -------
Должно быть FIXED в следующем RC.
------- Comment #4 From 2011-12-03 00:00:34 -------
На сегодня проблему зависания с ядром 3.0.6 обошел так:
Загрузился с установочного DVD в режиме восстановления системы
mount-system
chroot /mnt/system1
make-initrd
reboot
После этого система загрузилась.
------- Comment #5 From 2011-12-03 00:06:20 -------
Проблема описана на форуме
http://forum.altlinux.org/index.php/topic,11885.msg153351.html#msg153351